Private Link Resources - List By Server
Hiermee haalt u de private link-resources voor SQL Server op.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/privateLinkResources?api-version=2025-01-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is hoofdletterongevoelig. |
|
server
|
path | True |
string |
De naam van de server. |
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure-operatie succesvol voltooid. |
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Gets private link resources for SQL.
Voorbeeldaanvraag
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/test-svr/privateLinkResources?api-version=2025-01-01
Voorbeeldrespons
{
"value": [
{
"name": "plr",
"type": "Microsoft.Sql/servers/privateLinkResources",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/test-svr/privateLinkResources/plr",
"properties": {
"groupId": "sqlServer",
"requiredMembers": [
"sqlServer"
]
}
}
]
}
Definities
| Name | Description |
|---|---|
|
created |
Het type identiteit waarmee de resource is gemaakt. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Private |
Een private link-resource |
|
Private |
Het antwoord van een PrivateLinkResource-lijstbewerking. |
|
Private |
Eigenschappen van een private link-resource. |
|
system |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
createdByType
Het type identiteit waarmee de resource is gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoelwit. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
PrivateLinkResource
Een private link-resource
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}" |
| name |
string |
De naam van de resource |
| properties |
De resourcegroep-id van de private link. |
|
| systemData |
Azure Resource Manager metadata met creationBy en modifiedBy informatie. |
|
| type |
string |
Het type bron. Bijvoorbeeld: "Microsoft. Compute/virtualMachines" of "Microsoft. Opslag/opslagAccounts" |
PrivateLinkResourceListResult
Het antwoord van een PrivateLinkResource-lijstbewerking.
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
De koppeling naar de volgende pagina met items |
| value |
De PrivateLinkResource-items op deze pagina |
PrivateLinkResourceProperties
Eigenschappen van een private link-resource.
| Name | Type | Description |
|---|---|---|
| groupId |
string |
De resourcegroep-id van de private link. |
| requiredMembers |
string[] |
Voor de private link-resource zijn lidnamen vereist. |
| requiredZoneNames |
string[] |
De vereiste zonenamen van de private link-resource. |
systemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het maken van resources (UTC). |
| createdBy |
string |
De identiteit waarmee de resource is gemaakt. |
| createdByType |
Het type identiteit waarmee de resource is gemaakt. |
|
| lastModifiedAt |
string (date-time) |
Het tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedBy |
string |
De identiteit die de resource voor het laatst heeft gewijzigd. |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |